{
  "custom": {},
  "params": {
    "Begin": {
      "$": [
        "ts",
        192,
        1651249574536
      ],
      "$ts": 1650495041000
    },
    "End": {
      "$": [
        "ts",
        192,
        1651244368941
      ],
      "$ts": 1652108340000
    }
  },
  "propConfig": {
    "params.Begin": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.End": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 263,
      "width": 420
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "leftSpacing"
            },
            "propConfig": {
              "position.grow": {
                "binding": {
                  "config": {
                    "expression": "{view.params.Begin} + \",\" + {view.params.End}"
                  },
                  "transforms": [
                    {
                      "code": "\t\n\tBegin \u003d self.view.params.Begin\n\tEnd \u003d self.view.params.End\n\tNow \u003d system.date.now()\n\n\tBeginToEndSec \u003d system.date.secondsBetween(Begin, End)\n\tstartToNowSeconds \u003d system.date.secondsBetween(Begin, Now)\n\t\n\tif (startToNowSeconds \u003c 0) or (BeginToEndSec \u003c 0):\n\t\tself.parent.position.display \u003d False\n\telse:\n\t\tself.parent.position.display \u003d True\n\t\t\n\tpercent \u003d float(startToNowSeconds) / BeginToEndSec\n\t\n\tif percent \u003c 1:\n\t\treturn percent\n\tself.parent.position.display \u003d False\n\treturn 1",
                      "type": "script"
                    }
                  ],
                  "type": "expr"
                }
              }
            },
            "props": {
              "style": {
                "marginLeft": "35px"
              }
            },
            "type": "ia.container.coord"
          },
          {
            "children": [
              {
                "meta": {
                  "name": "Label"
                },
                "position": {
                  "basis": "32px",
                  "shrink": 0
                },
                "props": {
                  "style": {
                    "marginBottom": "-15px"
                  },
                  "text": "NOW",
                  "textStyle": {
                    "textAlign": "center"
                  }
                },
                "type": "ia.display.label"
              },
              {
                "meta": {
                  "name": "Icon"
                },
                "position": {
                  "basis": "50px",
                  "shrink": 0
                },
                "props": {
                  "path": "material/arrow_downward",
                  "style": {
                    "classes": "",
                    "fill": "#FF0000"
                  }
                },
                "type": "ia.display.icon"
              }
            ],
            "meta": {
              "name": "FlexContainer"
            },
            "position": {
              "basis": "50px",
              "shrink": 0
            },
            "props": {
              "direction": "column",
              "justify": "flex-end"
            },
            "type": "ia.container.flex"
          },
          {
            "meta": {
              "name": "rightSpacing"
            },
            "position": {
              "basis": "35px",
              "shrink": 0
            },
            "type": "ia.container.coord"
          }
        ],
        "meta": {
          "name": "nowFlex"
        },
        "position": {
          "basis": "70px",
          "display": false,
          "shrink": 0
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "meta": {
              "name": "beginIcon"
            },
            "position": {
              "basis": "50px",
              "shrink": 0
            },
            "props": {
              "style": {
                "classes": "SepasoftColors/Background/PrimaryColor_004A98",
                "marginLeft": "30px"
              }
            },
            "type": "ia.container.coord"
          },
          {
            "meta": {
              "name": "lineOfTimline"
            },
            "position": {
              "basis": "100px",
              "grow": 1
            },
            "props": {
              "mode": "percent",
              "style": {
                "classes": "SepasoftColors/LinearGradientToRight/Color004A98To4C9C2E",
                "marginBottom": 15,
                "marginTop": 15
              }
            },
            "type": "ia.container.coord"
          },
          {
            "children": [
              {
                "meta": {
                  "name": "circle"
                },
                "position": {
                  "height": 50,
                  "width": 50
                },
                "props": {
                  "style": {
                    "borderBottomLeftRadius": 100,
                    "borderBottomRightRadius": 100,
                    "borderTopLeftRadius": 100,
                    "borderTopRightRadius": 100,
                    "classes": "SepasoftColors/Background/PrimaryColor_4C9C2E"
                  }
                },
                "type": "ia.container.coord"
              },
              {
                "meta": {
                  "name": "lineToCircle"
                },
                "position": {
                  "height": 20,
                  "width": 15,
                  "y": 15
                },
                "props": {
                  "style": {
                    "classes": "SepasoftColors/Background/PrimaryColor_4C9C2E"
                  }
                },
                "type": "ia.container.coord"
              }
            ],
            "meta": {
              "name": "EndIcon"
            },
            "position": {
              "basis": "50px",
              "shrink": 0
            },
            "props": {
              "style": {
                "marginRight": "30px"
              }
            },
            "type": "ia.container.coord"
          }
        ],
        "meta": {
          "name": "TimeLine"
        },
        "position": {
          "basis": "50px",
          "shrink": 0
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "children": [
              {
                "meta": {
                  "name": "startLabel"
                },
                "position": {
                  "shrink": 0
                },
                "props": {
                  "text": "Start"
                },
                "type": "ia.display.label"
              },
              {
                "meta": {
                  "name": "dateLabel"
                },
                "position": {
                  "shrink": 0
                },
                "propConfig": {
                  "props.text": {
                    "binding": {
                      "config": {
                        "path": "view.params.Begin"
                      },
                      "transforms": [
                        {
                          "code": "\ttry:\n\t\treturn system.date.format(value, \"yyyy-MM-dd\")\n\texcept:\n\t\treturn \"\"",
                          "type": "script"
                        }
                      ],
                      "type": "property"
                    }
                  }
                },
                "type": "ia.display.label"
              },
              {
                "meta": {
                  "name": "timeLabel"
                },
                "position": {
                  "shrink": 0
                },
                "propConfig": {
                  "props.text": {
                    "binding": {
                      "config": {
                        "path": "view.params.Begin"
                      },
                      "transforms": [
                        {
                          "code": "\ttry:\n\t\treturn system.date.format(value, \"HH:mm:ss\")\n\texcept:\n\t\treturn \"\"",
                          "type": "script"
                        }
                      ],
                      "type": "property"
                    }
                  }
                },
                "type": "ia.display.label"
              }
            ],
            "meta": {
              "name": "StartFlexLabel"
            },
            "position": {
              "shrink": 0
            },
            "props": {
              "alignItems": "center",
              "direction": "column",
              "style": {
                "marginLeft": "15px"
              }
            },
            "type": "ia.container.flex"
          },
          {
            "meta": {
              "name": "spacing"
            },
            "position": {
              "grow": 1
            },
            "type": "ia.container.coord"
          },
          {
            "children": [
              {
                "meta": {
                  "name": "EndLabel"
                },
                "position": {
                  "shrink": 0
                },
                "props": {
                  "text": "End"
                },
                "type": "ia.display.label"
              },
              {
                "meta": {
                  "name": "dateLabel"
                },
                "position": {
                  "shrink": 0
                },
                "propConfig": {
                  "props.text": {
                    "binding": {
                      "config": {
                        "path": "view.params.End"
                      },
                      "transforms": [
                        {
                          "code": "\ttry:\n\t\treturn system.date.format(value, \"yyyy-MM-dd\")\n\texcept:\n\t\treturn \"\"",
                          "type": "script"
                        }
                      ],
                      "type": "property"
                    }
                  }
                },
                "type": "ia.display.label"
              },
              {
                "meta": {
                  "name": "timeLabel"
                },
                "position": {
                  "shrink": 0
                },
                "propConfig": {
                  "props.text": {
                    "binding": {
                      "config": {
                        "path": "view.params.End"
                      },
                      "transforms": [
                        {
                          "code": "\ttry:\n\t\treturn system.date.format(value, \"HH:mm:ss\")\n\texcept:\n\t\treturn \"\"",
                          "type": "script"
                        }
                      ],
                      "type": "property"
                    }
                  }
                },
                "type": "ia.display.label"
              }
            ],
            "meta": {
              "name": "EndFlexLabel"
            },
            "position": {
              "shrink": 0
            },
            "props": {
              "alignItems": "center",
              "direction": "column",
              "style": {
                "marginRight": "15px"
              }
            },
            "type": "ia.container.flex"
          }
        ],
        "meta": {
          "name": "beginEndText"
        },
        "position": {
          "basis": "80px",
          "shrink": 0
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}